-- SPDX-License-Identifier: ISC
-- Copyright (c) 2021 Camden Dixie O'Brien

module Main where

data State = State { theta :: Float
                   , pTheta :: Float
                   , phi :: Float
                   , pPhi :: Float
                   }

-- Simulation parameters
particleMass = 1
rodLength = 200
initialState = State (pi / 4) 0 (pi / 6) 0
g = 0.1

-- Rendering parameters
particleRadius = 5
particleColor = black
rodColor = greyN 0.5
framesPerSecond = 100

main :: IO ()
main = putStrLn "Hello, Haskell!"
